#ifndef _ASTEROIDENTITY_H
#define _ASTEROIDENTITY_H

#include "EntityBase.h"
#include "AsteroidsEnums.h"
#include "Sprite.h"

namespace asteroids {

struct AsteroidEntityPhysicState : public Engine::EntityPhysicState {
	AsteroidEntityPhysicState () {
		mBaseType = Engine::EntityBaseTypeBlock;
		mType = GameEntityTypeAsteroid;
	}
	virtual ~AsteroidEntityPhysicState() {};
};

struct AsteroidEntity: public Engine::EntityBase {
	AsteroidEntity () {
		mBaseType = Engine::EntityBaseTypeBlock;
		mType = GameEntityTypeAsteroid;

		mSubAsteroidsCount = 4;
	}

	virtual bool CollisionEvent (Engine::EntityBase *entity, vector3d point, vector3d normal);

	int mSubAsteroidsCount;
};

}

#endif // _ASTEROIDENTITY_H
